Bug 164310 - ooffice does keeps retrying when it can't communicate with OSL_PIPE
ooffice does keeps retrying when it can't communicate with OSL_PIPE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: 164309 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-07-26 16:06 EDT by Daniel Walsh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.9.121-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-28 05:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 53026 None None None Never

  None (edit)
Description Daniel Walsh 2005-07-26 16:06:02 EDT
Description of problem:
In strict SELinux policy, we are not allowing thunderbird to commucate with
userspace.  So if I launch openoffice as a user, it creates a socket file 

If I later launch ooffice out of thunderbird, it will fail because it does not
have permission to talk to the socket.  (SELinux Permission).  This is the
intended behaviour.  The problem is that ooffice will continue to try and a
record of failure will be recorded in the audit.log.  This will go on infinitely.

Version-Release number of selected component (if applicable):

Expected results:
ooffice should fail and stop retrying.
Comment 1 Caolan McNamara 2005-07-26 16:29:00 EDT
*** Bug 164309 has been marked as a duplicate of this bug. ***
Comment 2 Caolan McNamara 2005-07-27 04:00:27 EDT
I can make it give up on a permission denied or unknown failure, that should
make it fail and not retry.
Comment 3 Caolan McNamara 2005-07-28 05:08:16 EDT
See if 1.9.121-3 fixes this.

Note You need to log in before you can comment on or make changes to this bug.